LXDVDRIP(1)

NAME
lxdvdrip - a command line dvd backup tool

SYNOPSIS
lxdvdrip [-parameter=value]

DESCRIPTION
lxdvdrip is able to rip a DVD title or chapters, reauthor the files to a DVD structure, preview the files and burn to a DVD+/-R.

lxdvdrip is for those who want to make dvd backups with the minimum of fuss.

OPTIONS
A summary of options is included below. For a complete description, see the README in /usr/share/doc/lxdvdrip.

-h, --help
    Show summary of options.

-v, --version
    Show version of program and list all other helper applications that are installed on your system.

You must only give those parameters with another value as defined in the config-file (/etc/lxdvdrip.conf, ~/.lxdvdrip.conf). The default values are in brackets () behind the parameters.

-st=Streamtool
    vamps, vamps_menu (Vamps incl. Menu), mplayer, transcode, trans_par (Transcode parallel), copy, partcopy (-st=vamps). Defined program calls. Each option represents a different approach to backing up a DVD.

-tmp=Directory
    Directory for temp-Files for ripping with mplayer (-tmp=/tmp)

-mp=mplex
    Multiplexer, only with -st=mplayer, use mplex instead of tcmplex when having problems with tcmplex (-mp=tcmplex)

-t=TitleNr
    Nr of the ripping Title, "lsdvd" shows all Titles, regulary the longest Title, 0=longest title will be calculated by lxdvdrip, l=select from list (-t=0)

-angle=x
    Rip Angle x of DVD (only for DVDs with more than one Angle) (-angle=0)

-hq=x
    High Quality Backup, copy 1 DVD-9 => 2 DVD-5, -hq=1=>1 part1, -hq=2=>2 part2 (-hq=0)

-vf=x
    dvdauthor with -v (Video Format) (0=no,1=yes) (-vf=0)

-a=Language Audio
    "-a=1": only german, "-a=2": only english, "-a=3": german+english, "-a=4,xy" in language xy, i. E. "-a=4,fr" for french, "-a=l" for list for free selection of audiotracks (-a=2)

-ad=AudioDefault
    0=first Track in Language, 1=AC3 with Channel first, AC3/2 twice, 2=DTS first (not with mplayer) (-ad=0)

-lab=VolumeID
    Name of DVD (Volume-ID/Label)

-chap=chapter
    0=without Chapter, 1=with Chapter/lxdvdrip, 2=with Chapter/tcprobe (-chap=1)

-u=Subpicture-Nr
    Nr of the ripping subpicture-track (info with lsdvd), 0=without subtitles, l=list, input Nr., alternative Language, i. E. "-u=de", f=all forced subtitles (only with transcode parallel), a=all subtitles (only with vamps) (-u=0)

-fv=Film-Directory
    Directory for the ripping Files (-fv=/tmp/film-dvd)

-f=Factor
    Normally factor or requant will be calculated, but you can overwrite the factor with your value, by "-f=-1" lxdvdrip makes a testrip of one Chapter to calculate Factor. (-f=0)

-dl=DVD-Device
    Device-Name of DVD-Reader (-dl=/dev/dvd)

-db=Burner-Device
    Device of the Burner (-db=/dev/scd0)

-bp=Burn-Program
    1=growisofs, 2=cdrecord-prodvd, 3=cdrecord-prodvd on the fly, 4=create ISO-Image "dvdrip.img", 5=create ISO-Image with "Volume-ID.img", 0=no burning (-bp=1)

-mc=Multicopy
    1: Program asks you for next DVDR after each Copy. 0: Only one DVDR, then program ends. (-mc=0).

-sp=x
    burning Speed (-sp=0)

-wb=Wait for Burn
    Program ask you for DVD-R before burning (1=yes, 0=no) (-wb=1)

-format=
    Format DVD-/+RW, (0=no, 1=yes) (-format=0)

-vp=VOB-Player
    player for VOB-preview, off=no Preview (-vp=mplayer)

-lang=en
    Program in english (default translated english!)

-d=delete
    Delete VOB-Files after Burning (0=no, 1=yes) (-d=1)

-free=check
    Check for free disk space before ripping (0=no, 1=yes) (-free=1)

-file=Outputfile
    Instead dvdauthor+growisofs Result in a File, i. E. "-file=/tmp/dvd.vob" -file=0=>Option off (-file=0)

-dw=x
    1=dvdwizard on, 0=dvdwizard off (-dw=0)

ACKNOWLEDGEMENTS
lxdvdrip was written by Stefan Becker <stefanbecker@users.berlios.de> and scatman <scatman@users.berlios.de>.

Homepage: http://developer.berlios.de/projects/lxdvdrip/

AUTHOR
Kel Modderman <kelrin@tpg.com.au>